# ****************************************************************
# *                                                              *
# *   Copyright (c) Digital Equipment Corporation, 1991, 1994    *
#
# *                                                              *
# *  All Rights Reserved.  Unpublished rights  reserved  under   *
# *  the copyright laws of the United States.                    *
# *                                                              *
# *  The software contained on this media  is  proprietary  to   *
# *  and  embodies  the  confidential  technology  of  Digital   *
# *  Equipment Corporation.  Possession, use,  duplication  or   *
# *  dissemination of the software and media is authorized only  *
# *  pursuant to a valid written license from Digital Equipment  *
# *  Corporation.                                                *
# *                                                              *
# *  RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
# *  by the U.S. Government is subject to restrictions  as  set  *
# *  forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
# *  or  in  FAR 52.227-19, as applicable.                       *
# *                                                              *
# ****************************************************************
#
# quo_tags_form_proc.tcl
#
# Puts up the section of a form that inputs disk quota, and tags.

proc primary_group {} {
  source find_all_users_proc.tcl
  set tL ""
  set localGrps ""
  set ldapGrps ""

  find_local_groups localGrps 
 
    if {[ldap_enabled]} {
	find_ldap_groups ldapGrps
	set tL [union $localGrps $ldapGrps]
    } else { set tL $localGrps}

  puts "<TD><STRONG>Primary Group:</STRONG></TD>"

  if { $tL != "" } {
      set tL [lsort [lrmdups $tL]]
    puts "<TD><SELECT NAME=\"primary\">"

    # Set users, IASS_Usr or Lkr_Usr_ group as default primary group

    set users_group_found [lsearch $tL users]
    if {$users_group_found > -1} {
      set default_group "users"
    } else {
      set lkr_group_found [lsearch $tL Lkr_Usr_]
      if {$lkr_group_found > -1} {
        set default_group "Lkr_Usr_"
      } else {
        set default_group "IASS_Usr"
      }
    }

    foreach i $tL {
      if {$i == $default_group} {
        puts "<OPTION SELECTED>$i"
      } else {
        puts "<OPTION>$i"
      }
    }

    puts "</SELECT></TD>"
  }
}


proc secondary_groups {} {
  source find_all_users_proc.tcl
  set tL ""
  set localGrps ""
  set ldapGrps ""

  find_local_groups localGrps 
    if {[ldap_enabled] && [use_ldap_groups]} {
	find_ldap_groups ldapGrps
	set tL [union $localGrps $ldapGrps]
    } else { set tL $localGrps}

  puts "<TD><STRONG>Secondary Groups:</STRONG></TD>"
  
  if { $tL != "" } {
    set tL [lsort $tL]
    puts {<TD><SELECT NAME="tagsList" MULTIPLE SIZE=5>}
    foreach i $tL {puts "<OPTION>$i"}
    puts "</SELECT></TD>"
  }
}


proc shells_form_proc {} {
  puts "<TD><STRONG>Login Shell:</STRONG></TD>"

  catch {set shellHndl [ open /etc/shells "r" ]}
  puts {<TD><SELECT NAME="LogShell">}
  while { [gets $shellHndl i] != -1 } {puts "<OPTION>$i"}
  puts "<OPTION>No shell"
  puts "</SELECT></TD>"
}
